Bug 454330 - Review Request: gresolver - Graphical DNS query tool
Review Request: gresolver - Graphical DNS query tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 14:35 EDT by Jochen Schmitt
Modified: 2008-09-08 11:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 11:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-07-07 14:35:17 EDT
SPEC URL: http://www.herr-schmitt.de/pub/gresolver/gresolver.spec
SRPM URL: http://www.herr-schmitt.de/pub/gresolver/gresolver-0.0.5-1.fc9.src.rpm

Description:
GResolver is a graphical DNS query tool. It allows system administrators
to quickly and easily make the most common DNS queries without constructing 
lengthy 'dig' commands.
Comment 1 Dan Horák 2008-08-13 08:15:00 EDT
formal review is here, see the notes below

OK	source files match upstream:
	    3acb6d294489ac0393d090ba5361dfead47668aa  gresolver-0.0.5.tar.gz
OK	package meets naming and versioning guidelines.
BAD	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
BAD	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
BAD	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
BAD	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file installed


- maybe you could skip "make build" and generate the file with sed => no need for BR: perl
- you should use "make install prefix=..." instead of %makeinstall (https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used)
- license is "the same as Perl" (see gresolver.pl) => GPL+ or Artistic
- you should split the %{_datadir}/* line into at least
    %{_datadir}/applications/*.desktop and %{_datadir}/%{name} otherwise
    the package will incorrectly own %{_datadir}/applications (and looks like others dirs are hidden there)
- empty directory %{_datadir}/locale/*/... is created and included in package (are the translations missing from source package??)
- no need to specify Requires: perl-Gtk2, perl-Gtk2-GladeXML, perl-Net-IPv6Addr, they are found automagically
Comment 2 Dan Horák 2008-08-13 09:21:38 EDT
(In reply to comment #1)
> - you should use "make install prefix=..." instead of %makeinstall
> (https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used)

but in this case it is more my preference then a rule to use "make install"
Comment 3 Jochen Schmitt 2008-08-13 11:43:12 EDT
Thank you for you review.

I have uploaded the modified files on:

SPEC URL: http://www.herr-schmitt.de/pub/gresolver/gresolver.spec
SRPM URL: http://www.herr-schmitt.de/pub/gresolver/gresolver-0.0.5-2.fc9.src.rpm
Comment 4 Dan Horák 2008-08-13 16:18:18 EDT
Almost good, but you need to modify the %files section - instead of %{_datadir}/* which means that the package will own also the directories %{_datadir}/applications and %{_datadir}/pixmaps, yum must use

%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

so only the files under applications and pixmaps are owned by the package.
Comment 6 Dan Horák 2008-08-14 11:28:22 EDT
All issues were fixed, so this package is APPROVED.
Comment 7 Jochen Schmitt 2008-08-14 11:37:40 EDT
New Package CVS Request
=======================
Package Name:gresoler
Short Description:Graphical DNS query tool
Owners:s4504kr
Branches:F-9, F-8
InitialCC:
Packager Commits: yes
Comment 8 Kevin Fenzi 2008-08-23 13:25:04 EDT
I assume the package name was gresolver, not gresoler. ;) 

cvs done.
Comment 9 Jochen Schmitt 2008-09-08 11:59:26 EDT
Package imported and build.

Note You need to log in before you can comment on or make changes to this bug.